Bug Hunting Session
Bug 92286 - Selection in font name dropdown has to reflect the source
Summary: Selection in font name dropdown has to reflect the source
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fonts-Name-Combobox
  Show dependency treegraph
 
Reported: 2015-06-23 20:29 UTC by Francisco
Modified: 2018-11-05 03:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (87.15 KB, image/png)
2015-06-23 20:43 UTC, Francisco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Francisco 2015-06-23 20:29:02 UTC
The introduction of the recently used typefaces is in my opinion a very useful feature. This, plus the fact that English isn't my mother tongue, makes it a little difficult to explain to me.

Suppose you are editing a document, like and ODT. You are using typeface "A" on it. You want to use now typeface "B" as direct formatting [1]. If you click on the dropdown font menu, the first of the recently used typefaces (suppose: "C") is automatically selected.

In my opinion the selected typeface, shown in the typeface box, should be the actual typeface and not the first of the recently used.

Maybe the problem is how LibO estimates the recently used typefaces. Probably, if I'm using typeface "A", the first recently used typeface should be "A", not "C".

The problem now is that, if my click was accidental and I click on the document again to close scape that modification, the selected typeface remains "C". And if I accidentally press enter, the format is applied.

Steps may be different in some cases, like, if the last used typeface is also the one present in the document.

Steps:

0) You should use a typeface different from the first of the recently used. This happens to me frequently if I open my predefined template which has "A" set in the "Default style", but recently I have applied typeface "C" as direct formatting. Also, this may happen between different apps, like creating a new text file, but having applied typeface "C" as direct formatting in a presentation.

1) create a new doc, which is set with typeface "A" (like ODT)
2) click the typeface dropdown button

Result:
the first of the recently used typefaces ("C") appears automatically selected.

Expected:
the actual typeface is selected.

3) Click outside the dropdown menu

Result:
The selected type remains "C", even if I wasn't intended to use "C".

Expected:
After click outside the dropdown menu, the typeface shown in the textbox is the originally shown before I clicked it.

Workaround:
click a second time outside the dropdown button.


[1] Because LibO allows you to do that, even though I also use styles a lot in general.
Comment 1 Francisco 2015-06-23 20:43:22 UTC
Created attachment 116775 [details]
screenshot
Comment 2 Buovjaga 2015-06-30 13:40:42 UTC
We need UX advice.
Comment 3 Robinson Tryon (qubit) 2016-08-25 05:39:15 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2016-10-05 10:59:23 UTC
A new approach to sort fonts was proposed in bug 98817. While it has been rejected because it covered too many aspects there will be spin-offs, hopefully. And eventually make this ticket a duplicate.
Comment 5 Heiko Tietze 2017-09-21 13:43:36 UTC
The actual issue is that the first 'recently used' font is select but the document/template has just been opened. That's a bug. The dropdown list selection has to reflect the source. That means it's not one of the recently used which should be selected in your case but an entry from the long list. And in case the font is not installed at all nothing has to be selected.

Removing UX, adjusting the summary (was: "Do not select automatically the first recent typeface").
Comment 6 QA Administrators 2018-11-05 03:43:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug